## org.apache.myfaces.taglib.core
Class SelectItemsTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.core.SelectItemsTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class SelectItemsTag
extends UIComponentTagBase

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectItemsTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`release, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setProperties, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectItemsTag

    public SelectItemsTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()